#ifndef _LODRECTLIST_H
#define _LODRECTLIST_H

#include "LODRect.h"

class LODRectList {
protected:
    int merge_rect(LODRect* r);
    int union_rect(LODRect* r);
    int y_order_rect(LODRect* r);
	void purge();
public:
    int allocates;
    int count;
    LODRect** rects;

    LODRectList() { allocates = count = 0; rects = NULL; }
	~LODRectList() { purge(); }
    void add(LODRect* r);
    void add(LODRectList* dst);
    void add(int l, int t, int r, int b);
    void del(LODRect* r);
    void merge(LODRect* r);
    void merge(LODRectList* dst);
    void copy(LODRectList* dst);
    void move(LODRectList* dst);
    void remove_rect(LODRect* r);
    void refresh();
    void dump();
};


#endif
