#ifndef _DHM2_H
#define _DHM2_H

#ifndef DATA_DIR
#define DATA_DIR "data/"
#endif

/*************************
** ɤ **
*************************/
#define CD_FIGH0	0
#define CD_FIGH1	(CD_FIGH0+1)
#define CD_FIGH2	(CD_FIGH0+2)
#define CD_FIGH3	(CD_FIGH0+3)
#define CD_FIGH4	(CD_FIGH0+4)
#define CD_FIGH5	(CD_FIGH0+5)
#define CD_FIGH6	(CD_FIGH0+6)

#define CD_MAGE0	((CD_FIGH6+1)+0)
#define CD_MAGE1	(CD_MAGE0+1)
#define CD_MAGE2	(CD_MAGE0+2)
#define CD_MAGE3	(CD_MAGE0+3)
#define CD_MAGE4	(CD_MAGE0+4)
#define CD_MAGE5	(CD_MAGE0+5)
#define CD_MAGE6	(CD_MAGE0+6)

#define CD_MONS0	((CD_MAGE6+1)+0)
#define CD_MONS1	(CD_MONS0+1)
#define CD_MONS2	(CD_MONS0+2)
#define CD_MONS3	(CD_MONS0+3)
#define CD_MONS4	(CD_MONS0+4)
#define CD_MONS5	(CD_MONS0+5)

#define CD_HEROATTACK0	((CD_MONS5+1)+0)
#define CD_HEROATTACK1	(CD_HEROATTACK0+1)
#define CD_HEROATTACK2	(CD_HEROATTACK0+2)

#define CD_WPONATTACK0	(CD_HEROATTACK2+1)
#define CD_WPONATTACK1	(CD_WPONATTACK0+1)
#define CD_WPONATTACK2	(CD_WPONATTACK0+2)

#define CD_MAGEATTACK0	(CD_WPONATTACK2+1)
#define CD_MAGEATTACK1	(CD_MAGEATTACK0+1)
#define CD_MAGEATTACK2	(CD_MAGEATTACK0+2)

#define CD_DBLWPONATTACK0	(CD_MAGEATTACK2+1)
#define CD_DBLWPONATTACK1	(CD_DBLWPONATTACK0+1)
#define CD_DBLWPONATTACK2	(CD_DBLWPONATTACK0+2)

#define CD_DBLMAGEATTACK0	(CD_DBLWPONATTACK2+1)
#define CD_DBLMAGEATTACK1	(CD_DBLMAGEATTACK0+1)
#define CD_DBLMAGEATTACK2	(CD_DBLMAGEATTACK0+2)

#define CD_MONSEXTATTACK0	(CD_DBLMAGEATTACK2+1)
#define CD_MONSEXTATTACK1	(CD_MONSEXTATTACK0+1)
#define CD_MONSEXTATTACK2	(CD_MONSEXTATTACK0+2)

#define CD_WPONEXTATTACK0	(CD_MONSEXTATTACK2+1)

#define CD_MAGEEXTATTACK0	(CD_WPONEXTATTACK0+1)

#define CD_SHIELD0	(CD_MAGEEXTATTACK0+1)
#define CD_SHIELD1	(CD_SHIELD0+1)
#define CD_SHIELD2	(CD_SHIELD0+2)

#define CD_SUPPORT0	(CD_SHIELD2+1)
#define CD_SUPPORT1	(CD_SUPPORT0+1)
#define CD_SUPPORT2	(CD_SUPPORT0+2)
#define CD_SUPPORT3	(CD_SUPPORT0+3)
#define CD_SUPPORT4	(CD_SUPPORT0+4)

#define CD_OPEN0	(CD_SUPPORT4+1)
#define CD_OPEN1	(CD_OPEN0+1)
#define CD_OPEN2	(CD_OPEN0+2)

#define CD_DUMMY	(CD_OPEN2+1)

#define CARDNUM		(CD_DUMMY+1)

#define MAX_CARD	100	/*  */
#define MAX_CHAR	20	/* 饯 */

#define CT_FIGHTER	1	/* ե饯 */
#define CT_MAGE		2	/* ѻե饯 */
#define CT_MONSTER	4	/* 󥹥饯 */
#define CT_ATTACK	8	/*  */
#define CT_WEAPON	0x10	/*  */
#define CT_MAGIC	0x20	/* ˡ */
#define CT_DOUBLE	0x40	/*  */
#define CT_MON		0x80	/* 󥹥 */
#define CT_EXT		0x100	/* ĥʺǶ */
#define CT_SUPPORT	0x200	/*  */
#define CT_OPEN		0x400	/* ץ󥫡 */
#define CT_SHIELD	0x800	/*  */

#define HAND 5

#define HAIPAI_ORG_X 53
#define HAIPAI_ORG_Y 34
#define CARD_SIZE_X 9
#define CARD_SIZE_Y 12

struct CARDTYPE {
	unsigned int type;
	int num;		/*  */
	int param1;
	int param2;
	int param3;
	char *name;
	char *msg;
};
extern struct CARDTYPE CardType[];
extern int Card[];
extern int CharStack[MAX_CHAR];
extern int Hand[2][HAND];
extern int CdOpen[2][HAND];
extern int Char[2][5];
extern int HandNum[2];
extern int CardPt;
extern int CardDropPt;
extern int CharPt;
extern int CharDropPt;
extern int CardNum;
extern int CharNum;
extern int Chars[2];


/*************************
** ¾ **
*************************/
#define MAX_ITEM 200

#define PF_DICE 	0		/*  */
#define PF_DIALOG1	1		/*  */
#define PF_DIALOG2	2		/* YES/NO */
#define PF_CAUTION	3		/* ٹ𥦥ɥ */
#define PF_BATTLE	4		/* Ʈɥ */
#define PF_NULLCARD	5		/* ʤˤ̵ */
#define PF_NOKORI	6		/* Ĥɽ */
#define PF_INFO		7		/* ե᡼ */
#define PF_QUIT		8		/* λ */
#define PF_HELP		9		/* إ */
#define PF_MSG		10
#define PF_CARDORG	11

#define TURN_PLAYER	0
#define TURN_ENEMY	1

extern char pflag[MAX_ITEM];

extern Display* dis;  // Default Display
extern int scr;  // Default Screen
extern Window rootwin;
extern int screen_depth;  // screen depth
extern GC gc;  // utility gc
extern clock_t interval;

extern Pixmap stage_pm;  // ơ
extern Pixmap dice_pm[6];  // 
extern Pixmap caut_pm; // ٹ
extern Pixmap info_pm; // 
#endif
